### Method

# GtkSource CompletionProvider refilter

#### Declaration [src]

    void
    gtk_source_completion_provider_refilter (
      GtkSourceCompletionProvider* self,
      GtkSourceCompletionContext* context,
      GListModel* model
    )

#### Description [src]

This function can be used to filter results previously provided to the `GtkSourceCompletionContext` by the `GtkSourceCompletionProvider`.

This can happen as the user types additional text onto the word so that previously matched items may be removed from the list instead of generating new `GListModel` of results.

#### Parameters

`context`

  Type: `GtkSourceCompletionContext`

  A `GtkSourceCompletionContext`.

  The data is owned by the caller of the method.

`model`

  Type: `GObject`

  A `GListModel`.

  The data is owned by the caller of the method.